Skip to main content
`Ctrl`+`K`

# numpy.polynomial.laguerre.Laguerre.truncate

method

polynomial.laguerre.Laguerre.truncate(size)

  Truncate series to length `size`.

  Reduce the series to length `size` by discarding the high degree terms. The value of `size` must be a positive integer. This can be useful in least squares where the coefficients of the high degree terms may be very small.

  Parameters:
    size positive int

      The series is reduced to length `size` by discarding the high degree terms. The value of `size` must be a positive integer.

  Returns:
    new_series series

      New instance of series with truncated coefficients.